Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.logging
Interface HttpLogMessage

public interface HttpLogMessage

Represents a request from a consumer to a producer or a response from a producer to a consumer.

You can use WebLogic logging framework to receive log messages when message monitoring is enabled. WebLogic Portal producer and consumer log SOAP messages with message ID `BEA-420550`.

Field Summary
`static int` | `REQUEST_MESSAGE_TYPE` Message type request
`static int` | `RESPONSE_MESSAGE_TYPE` Message type response

Method Summary
`String` | `getHeader(String name)` Returns the value of a header.
`Iterator` | `getHeaders()` Returns an iterator of all header names.
`String` | `getHost()` Returns the host.
`String` | `getMessage()` Returns the message (XML encoded for pretty printing).
`int` | `getMessageType()` Returns message type.
`String` | `getRawMessage()` Returns the message.
`long` | `getTimeStamp()` Returs time stamp.
`String` | `getWebAppName()` Returns web app name.

Field Detail

### REQUEST_MESSAGE_TYPE

    public static final int REQUEST_MESSAGE_TYPE

  Message type request

  See Also:
    Constant Field Values

### RESPONSE_MESSAGE_TYPE

    public static final int RESPONSE_MESSAGE_TYPE

  Message type response

  See Also:
    Constant Field Values

Method Detail

### getHeader

    public String getHeader(String name)

  Returns the value of a header.

  Parameters:
    `name` -
  Returns:

### getHeaders

    public Iterator getHeaders()

  Returns an iterator of all header names.

  Returns:

### getHost

    public String getHost()

  Returns the host.

  Returns:

### getMessage

    public String getMessage()

  Returns the message (XML encoded for pretty printing).

  Returns:
    message

### getMessageType

    public int getMessageType()

  Returns message type.

  Returns:
    message type

### getRawMessage

    public String getRawMessage()

  Returns the message.

  Returns:
    message

### getTimeStamp

    public long getTimeStamp()

  Returs time stamp.

  Returns:
    time stamp

### getWebAppName

    public String getWebAppName()

  Returns web app name.

  Returns:
    web app name

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved